import 'package:flutter/material.dart';
import 'package:mohem_flutter_app/classes/colors.dart';
import 'package:mohem_flutter_app/extensions/int_extensions.dart';
import 'package:mohem_flutter_app/extensions/string_extensions.dart';

class InfoFragment extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      height: double.infinity,
      child: Column(
        children: [
          Container(
            width: double.infinity,
            decoration: BoxDecoration(
              color: Colors.white,
              borderRadius: BorderRadius.circular(15),
              boxShadow: [
                BoxShadow(
                  color: const Color(0xff000000).withOpacity(.05),
                  blurRadius: 26,
                  offset: const Offset(0, -3),
                ),
              ],
            ),
            margin: EdgeInsets.all(21),
            padding: EdgeInsets.only(top: 21, bottom: 21, right: 16, left: 16),
            child: Column(
              children: [
                Row(
                  children: [
                    Expanded(
                      child: "Info Details".toText16(),
                    ),
                    // Icon(Icons.keyboard_arrow_down_rounded),
                  ],
                ),
                Column(
                  children: [
                    12.height,
                    showItem("From:", "Alma Linde Mendoza"),
                    showItem("To:", "Al Yabis, Norah"),
                    showItem("Sent:", "1/26/2020 10:41:07 AM"),
                    showItem("ID:", "30581045"),
                    showItem("Closed:", "-"),
                  ],
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }

  Widget showItem(String title, String value) {
    return Padding(
      padding: const EdgeInsets.only(top: 2, bottom: 2),
      child: Row(
        children: [
          title.toText12(isBold: true),
          6.width,
          title.toText12(isBold: false, color: MyColors.normalTextColor),
        ],
      ),
    );
  }
}
